package com.e6yun.project.sdk.api.pojo.basevo.smart;

import com.google.common.base.MoreObjects;

/**
 * @Description
 * @Author ningkun@e6yun.com
 * @Created Date: 2021/7/7 17:44
 * @ClassName UpdateVehicleVO
 * @Remark
 */
public class UpdateVehicleVO {
    private String timestamp;

    /**
     * 车牌
     **/
    private String vehicleNo;

    /**
     * 车队
     **/
    private String motorcade;

    /**
     * 车辆品牌
     **/
    private String brand ;

    /**
     * 注册日期
     **/
    private String regDate;

    /**
     * 车长（米）
     **/
    private Double length;

    /**
     * 容积（方）
     **/
    private Double volume;

    /**
     * 载重（吨）
     **/
    private Double load;

    /**
     * 是否报废
     **/
    private Integer isValid;

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("timestamp", timestamp)
                .add("vehicleNo", vehicleNo)
                .add("motorcade", motorcade)
                .add("brand", brand)
                .add("regDate", regDate)
                .add("length", length)
                .add("volume", volume)
                .add("load", load)
                .add("isValid", isValid)
                .toString();
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public String getVehicleNo() {
        return vehicleNo;
    }

    public void setVehicleNo(String vehicleNo) {
        this.vehicleNo = vehicleNo;
    }

    public String getMotorcade() {
        return motorcade;
    }

    public void setMotorcade(String motorcade) {
        this.motorcade = motorcade;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getRegDate() {
        return regDate;
    }

    public void setRegDate(String regDate) {
        this.regDate = regDate;
    }

    public Double getLength() {
        return length;
    }

    public void setLength(Double length) {
        this.length = length;
    }

    public Double getVolume() {
        return volume;
    }

    public void setVolume(Double volume) {
        this.volume = volume;
    }

    public Double getLoad() {
        return load;
    }

    public void setLoad(Double load) {
        this.load = load;
    }

    public Integer getIsValid() {
        return isValid;
    }

    public void setIsValid(Integer isValid) {
        this.isValid = isValid;
    }
}
